PHP 5.0.4 i 4.3.11 już dostępne

Dostępne są już nowe wersje PHP: 5.0.4 i 4.3.11. Zmiany nie są kolosalne, tym niemniej wszystkich korzystających z tego języka skryptowego zachęcamy do szybkiej aktualizacji.

Najważniejsze uaktualnienie dotyczy wykrytego w lutym błędu obsługi nagłówków w plikach JPEG - potencjalny intruz mógł wykorzystać specjalnie spreparowany obrazek do zawieszenia serwera.

W PHP5 ponadto poprawiono kilkadziesiąt błędów, a także ulepszono obsługę protokołu SNMPv2, wprowadzono sprawdzanie nieprawidłowych wartości argumentów dla kilku funkcji oraz zmodyfikowano phpize, by nie wymagało obeności libtool w systemie. Usunięto też wycieki pamięci z kilku modułów oraz problemy z niektórymi unikodowymi znakami. W PHP4 poprawiono ponad 70 błędów, w tym bugi w obsłudze engine'u parsującego XML oraz cURL.

Przypomnijmy, PHP5 (aktualnie 5.0.4) i PHP4 (aktualnie 4.3.11) to dwie odrębnie rozwijane linie tego popularnego języka skryptowego. Wersja 5 jest młodsza, wykorzystano w niej zupełnie nowy engine parsujący skrypty (Zend Engine 2), szczególny nacisk położono na możliwość programowania obiektowego, obsługę wyjątków i ogólne zwiększenie funkcjonalności języka.

Wersja 4 natomiast stanowi linię opracowywaną od dobrych kilku lat. Jest ona polecana wszystkim, którzy korzystają z oprogramowania optymalizowanego pod PHP4 lub mają pod opieką pracujące od dłuższego czasu serwery produkcyjne.

Więcej informacji: PHP.net


Zobacz również